Bug 1311517 - (CVE-2016-2550) CVE-2016-2550 kernel: incorrectly accounted in-flight fds
CVE-2016-2550 kernel: incorrectly accounted in-flight fds
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160222,repor...
: Security
Depends On: 1297403 1303587 1303592 1303594 1311518 1313052
Blocks: 1311525
  Show dependency treegraph
 
Reported: 2016-02-24 07:00 EST by Andrej Nemec
Modified: 2018-02-07 18:11 EST (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A resource-exhaustion vulnerability was found in the kernel, where an unprivileged process could allocate and accumulate far more file descriptors than the process' limit. A local, unauthenticated user could exploit this flaw by sending file descriptors over a Unix socket and then closing them to keep the process' fd count low, thereby creating kernel-memory or file-descriptors exhaustion (denial of service).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-24 07:00:46 EST
The fix for CVE-2013-4312 incorrectly accounted the
number of in-flight fds over a unix domain socket to the original
opener of the file-descriptor. This allows another process to
arbitrary deplete the original file-openers resource limit for the
maximum of open files.

CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q1/401
http://seclists.org/oss-sec/2016/q1/412

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=415e3d3e90ce9e18727e8843ae343eda5a58fad6

Commit, which introduced the issue (it was addressing CVE-2013-4312):

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=712f4aad406bb1ed67f3f98d04c044191f0ff593
Comment 1 Andrej Nemec 2016-02-24 07:01:31 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1311518]
Comment 4 Vladis Dronov 2016-02-29 15:15:30 EST
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2.
Comment 5 Fedora Update System 2016-03-02 16:22:06 EST
kernel-4.4.3-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.